# Integrated Manager for Lustre software

## **Software Contributor Documentation**

[**Help Docs Table of Contents**](../../README.md)

### Table of Contents

---

![gears](md_Graphics/gears_sm.jpg)

1. [IML Contributor Workflow](cd_Contributor_Workflow.md)

1. [Building IML](cd_Building_IML.md)

1. [Building IML@4.0.x](cd_Building_IML_4.0.x.md)

1. [How to use the copr builder](cd_RPM_Builder_And_Copr.md)

1. [Running Unit Tests for integrated-manager-for-lustre Repo](cd_integrated-manager-for-lustre_Unit_Testing.md)

1. [Create a Cluster of Virtual Machines with Vagrant](https://github.com/whamcloud/Vagrantfiles/blob/master/README.md)

1. [Install IML on a Vagrant Virtual Cluster](cd_Installing_IML_On_Vagrant.md)

1. [How to Uninstall IML](cd_UnInstall_IML.md)

1. [Running SSI Tests](cd_Running_SSI_Tests.md)

1. [Create a Sample Storage plugin](https://github.com/whamcloud/sample-storage-plugin)

1. [IML Lustre Target Sequence Diagrams](cd_Lustre_Target_Sequence_Diagrams.md)

1. [Create a Monitored only ldiskfs Filesystem on a Vagrant virtual cluster](cd_Monitored_Only_ldiskfs.md)

1. [Models and Database Migrations](cd_Models_And_DB_Migrations.md)

1. [Running IML on docker with vagrant servers](cd_Running_IML_On_Docker_With_Vagrant_Servers.md)

---

## Resources

1. [Create a Monitored only ZFS Filesystem on a Vagrant virtual cluster](cd_Monitored_Only_ZFS.md)

1. [Creating a Managed Lustre ZFS Filesystem on a Vagrant virtual cluster](cd_Managed_ZFS.md)

1. [Setting up Lustre Clients](cd_Setting_Up_Clients.md)

1. [Setup Power Control on a Vagrant virtual cluster](cd_Setting_Up_Power_Control.md)

1. [How to debug rust tests](cd_Debugging_Rust_Tests.md)

1. [How to debug a running nodejs process in vagrant](cd_Debugging_Node_In_Vagrant.md)

1. [How To Debug A Running Python Process](cd_Remote_Python_Debugging.md)

1. [Jenkins Pragmas](cd_Jenkins_Pragmas.md)

1. [Building Rust RPMs](cd_Building_Rust_RPMs.md)
